> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Post Comment (/api-reference/post-comments/create-post-comment)

Create a comment on one of your posts.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/{account}/posts/{post_id}/comments
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/posts/{post_id}/comments:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: post_id
        description: The ID of the post.
        example: laborum
        required: true
        schema:
          type: string
    post:
      summary: Create Post Comment
      operationId: createPostComment
      description: Create a comment on one of your posts.
      parameters:
        - in: query
          name: text
          description: The text of the comment.
          example: This is a comment.
          required: true
          schema:
            type: string
            description: The text of the comment.
            example: This is a comment.
        - in: query
          name: answerTo
          description: The ID of the comment to which this comment is a reply.
          example: 123
          required: false
          schema:
            type: integer
            description: The ID of the comment to which this comment is a reply.
            example: 123
        - in: query
          name: giphyId
          description: The ID of the Giphy to include in the comment.
          example: giphy123
          required: false
          schema:
            type: string
            description: The ID of the Giphy to include in the comment.
            example: giphy123
      responses:
        "201":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 123
                    text: Text
                    giphyId: null
                    author:
                      view: s
                      avatar: https://public.onlyfans.com/files/.../avatar.jpg
                      avatarThumbs:
                        c50: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                        c144: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                      header: https://public.onlyfans.com/files/.../header_image.jpg
                      headerSize:
                        width: 4032
                        height: 3024
                      headerThumbs:
                        w480: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header_image.jpg
                        w760: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header_image.jpg
                      id: 123
                      name: Name
                      username: username
                      canLookStory: true
                      canCommentStory: true
                      hasNotViewedStory: false
                      isVerified: true
                      canPayInternal: true
                      hasScheduledStream: false
                      hasStream: false
                      hasStories: false
                      tipsEnabled: true
                      tipsTextEnabled: true
                      tipsMin: 5
                      tipsMinInternal: 1
                      tipsMax: 200
                      canEarn: true
                      canAddSubscriber: false
                      subscribePrice: 4.99
                      hasStripe: false
                      isStripeExist: false
                      subscriptionBundles: []
                      canSendChatToAll: true
                      creditsMin: 10
                      creditsMax: 200
                      isPaywallPassed: true
                      creditsMinAlternatives: 5
                      canCreateLists: true
                      showMediaCount: true
                      lastSeen: 2025-01-01T00:00:00+00:00
                      canReport: false
                      subscribedOn: null
                    canLike: true
                    likesCount: 0
                    isLiked: false
                    isLikedByAuthor: false
                    postedAt: 2025-01-01T00:00:00+00:00
                    changedAt: 2025-01-01T00:00:00+00:00
                    isPinned: false
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999852
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 996
                      remaining_day: 49857
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 123
                      text:
                        type: string
                        example: Text
                      giphyId:
                        type: string
                        example: null
                        nullable: true
                      author:
                        type: object
                        properties:
                          view:
                            type: string
                            example: s
                          avatar:
                            type: string
                            example: https://public.onlyfans.com/files/.../avatar.jpg
                          avatarThumbs:
                            type: object
                            properties:
                              c50:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                              c144:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/.../avatar.jpg
                          header:
                            type: string
                            example: https://public.onlyfans.com/files/.../header_image.jpg
                          headerSize:
                            type: object
                            properties:
                              width:
                                type: integer
                                example: 4032
                              height:
                                type: integer
                                example: 3024
                          headerThumbs:
                            type: object
                            properties:
                              w480:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header_image.jpg
                              w760:
                                type: string
                                example: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header_image.jpg
                          id:
                            type: integer
                            example: 123
                          name:
                            type: string
                            example: Name
                          username:
                            type: string
                            example: username
                          canLookStory:
                            type: boolean
                            example: true
                          canCommentStory:
                            type: boolean
                            example: true
                          hasNotViewedStory:
                            type: boolean
                            example: false
                          isVerified:
                            type: boolean
                            example: true
                          canPayInternal:
                            type: boolean
                            example: true
                          hasScheduledStream:
                            type: boolean
                            example: false
                          hasStream:
                            type: boolean
                            example: false
                          hasStories:
                            type: boolean
                            example: false
                          tipsEnabled:
                            type: boolean
                            example: true
                          tipsTextEnabled:
                            type: boolean
                            example: true
                          tipsMin:
                            type: integer
                            example: 5
                          tipsMinInternal:
                            type: integer
                            example: 1
                          tipsMax:
                            type: integer
                            example: 200
                          canEarn:
                            type: boolean
                            example: true
                          canAddSubscriber:
                            type: boolean
                            example: false
                          subscribePrice:
                            type: number
                            example: 4.99
                          hasStripe:
                            type: boolean
                            example: false
                          isStripeExist:
                            type: boolean
                            example: false
                          subscriptionBundles:
                            type: array
                            example: []
                          canSendChatToAll:
                            type: boolean
                            example: true
                          creditsMin:
                            type: integer
                            example: 10
                          creditsMax:
                            type: integer
                            example: 200
                          isPaywallPassed:
                            type: boolean
                            example: true
                          creditsMinAlternatives:
                            type: integer
                            example: 5
                          canCreateLists:
                            type: boolean
                            example: true
                          showMediaCount:
                            type: boolean
                            example: true
                          lastSeen:
                            type: string
                            example: 2025-01-01T00:00:00+00:00
                          canReport:
                            type: boolean
                            example: false
                          subscribedOn:
                            type: string
                            example: null
                            nullable: true
                      canLike:
                        type: boolean
                        example: true
                      likesCount:
                        type: integer
                        example: 0
                      isLiked:
                        type: boolean
                        example: false
                      isLikedByAuthor:
                        type: boolean
                        example: false
                      postedAt:
                        type: string
                        example: 2025-01-01T00:00:00+00:00
                      changedAt:
                        type: string
                        example: 2025-01-01T00:00:00+00:00
                      isPinned:
                        type: boolean
                        example: false
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999852
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 996
                          remaining_day:
                            type: integer
                            example: 49857
      tags:
        - Post Comments
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````